	const_def 1 ; object constants
	const ROUTE1_ADVICE1
	const ROUTE1_ADVICE2
	const ROUTE1_POKE_BALL0
	const ROUTE1_TRAINER1
	const ROUTE1_TRAINER2

Route1_MapScripts:
	db 0 ; scene scripts
        db 0 ; callbacks

Route1Advice1:
	jumptextfaceplayer .Text
	end
.Text:
	text "Beware of the wild"
	line "#MONs if you"
	cont "walk in the grass!"
	done

Route1Advice2:
	jumptextfaceplayer .Text
	end
.Text:
	text "Wow, nice shoes!"
	para "Try holding B to"
	line "run faster!"
	done

Route1Pokeball:
        itemball POKE_BALL, 10
        end

Route1Trainer1:
	trainer YOUNGSTER, TIMMY, EVENT_BEAT_TIMMY, .BeforeBattleText, .AfterBattleText, 0, .Script
	end
.Script:
        endifjustbattled
        opentext
        writetext .OverworldText
        waitbutton
        closetext
        end
.BeforeBattleText:
	text "HEY!"
	para "Mickey gave me a"
	line "#MON too!"
	para "Let's have a fight"
	line "to see who's the"
	cont "strongest!"
	done
.AfterBattleText:
	text "So he gave me a"
	line "weak one<…>"
	done
.OverworldText:
	text "When two trainers"
	line "make eye contact,"
	cont "they must fight."
	para "Don't ask me why,"
	line "that's how it is!"
	done

Route1Trainer2:
	trainer BEAUTY, CLARA, EVENT_BEAT_CLARA, .BeforeBattleText, .AfterBattleText, 0, .Script
	end
.Script:
        endifjustbattled
        opentext
        writetext .OverworldText
        waitbutton
        closetext
        end
.BeforeBattleText:
	text "You're looking for"
	line "wild #MONs too?"
	done
.AfterBattleText:
	text "I should try to"
	line "catch another one."
	done
.OverworldText:
	text "I've found that"
	line "the strongest"
	cont "#MONs show up"
	cont "at night!"
	para "But the most rare"
	line "roam in the early"
	cont "morning."
	done

Route1_MapEvents:
	db 0, 0 ; filler
	db 0 ; warp events
	db 0 ; coord events
	db 0 ; bg events

	db 5 ; object events
	object_event 5,  7, SPRITE_LASS, SPRITEMOVEDATA_WANDER, 1, 1, -1, -1, PAL_NPC_RED, OBJECTTYPE_SCRIPT, 0, Route1Advice1, -1
	object_event  8, 24, SPRITE_COOLTRAINER_M, SPRITEMOVEDATA_WANDER, 1, 1, -1, -1, PAL_NPC_RED, OBJECTTYPE_SCRIPT, 0, Route1Advice2, -1
	object_event 2, 27, SPRITE_POKE_BALL, SPRITEMOVEDATA_STILL, 0, 0, -1, -1, 0, OBJECTTYPE_ITEMBALL, 0, Route1Pokeball, EVENT_ROUTE1_POKE_BALL
	object_event 10, 10, SPRITE_YOUNGSTER, SPRITEMOVEDATA_STANDING_LEFT, 0, 0, -1, -1, PAL_NPC_GREEN, OBJECTTYPE_TRAINER, 2, Route1Trainer1, -1
	object_event  5, 18, SPRITE_WHITNEY, SPRITEMOVEDATA_STANDING_RIGHT, 0, 0, -1, -1, PAL_NPC_BLUE, OBJECTTYPE_TRAINER, 3, Route1Trainer2, -1
